# ``twisted`.`web`.`client`.`_ContextFactoryWithContext``

class documentation

`class _ContextFactoryWithContext: (source)`

Implements interfaces: `twisted.internet.interfaces.IOpenSSLContextFactory`

View In Hierarchy

A `_ContextFactoryWithContext` is like a `twisted.internet.ssl.ContextFactory` with a pre-created context.

Method | `__init__` | Initialize a `_ContextFactoryWithContext` with a context.
Method | `getContext` | Return the context created by `_DeprecatedToCurrentPolicyForHTTPS._webContextFactory`.
Instance Variable | `_context` | A Context.

def __init__(self, context): (source)
Initialize a `_ContextFactoryWithContext` with a context.

Parameters
context:`OpenSSL.SSL.Context` | An SSL context.

def getContext(self): (source)
from `twisted.internet.interfaces.IOpenSSLContextFactory`
Return the context created by `_DeprecatedToCurrentPolicyForHTTPS._webContextFactory`.

Returns
`OpenSSL.SSL.Context` | A context.

_context: `OpenSSL.SSL.Context` = (source)
A Context.